import React from 'react';
import renderer from 'react-test-renderer';
import { ScrollView, Text } from 'react-native';
import Container from './Container';
const setupContainer = function () {
  let overrideProps = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return /*#__PURE__*/React.createElement(Container, overrideProps);
};
describe('<Container />', () => {
  it('renders basic props correctly', () => {
    const wrapper = renderer.create(setupContainer());
    expect(wrapper).toMatchSnapshot();
  });
  it('renders basic props correctly - fluid', () => {
    const wrapper = renderer.create(setupContainer({
      children: /*#__PURE__*/React.createElement(Text, null, "test"),
      fluid: true
    }));
    expect(wrapper).toMatchSnapshot();
  });
  it('renders basic props correctly - fluid - noPadding', () => {
    const wrapper = renderer.create(setupContainer({
      children: /*#__PURE__*/React.createElement(Text, null, "test"),
      fluid: true,
      noPadding: true
    }));
    expect(wrapper).toMatchSnapshot();
  });
  it('renders basic props correctly - Element - style', () => {
    const wrapper = renderer.create(setupContainer({
      children: /*#__PURE__*/React.createElement(Text, null, "test"),
      Element: ScrollView,
      style: {
        padding: 0
      }
    }));
    expect(wrapper).toMatchSnapshot();
  });
});
//# sourceMappingURL=Container.test.js.map