import React from 'react';
import { View } from 'react-native';
export declare interface ColProps extends React.ComponentProps<typeof View> {
    /** xs size */
    xs?: number | string;
    /** sm size */
    sm?: number | string;
    /** md size */
    md?: number | string;
    /** lg size */
    lg?: number | string;
    /** xl size */
    xl?: number | string;
    /** xs offset */
    xsOffset?: number | string;
    /** sm offset */
    smOffset?: number | string;
    /** md offset */
    mdOffset?: number | string;
    /** lg offset */
    lgOffset?: number | string;
    /** xl offset */
    xlOffset?: number | string;
    /** xs order */
    xsOrder?: number | string;
    /** sm order */
    smOrder?: number | string;
    /** md order */
    mdOrder?: number | string;
    /** lg order */
    lgOrder?: number | string;
    /** xl order */
    xlOrder?: number | string;
    /** Gutter size -- [Bootstrap Gutters](https://getbootstrap.com/docs/5.0/layout/gutters/) */
    gx?: 0 | 1 | 2 | 3 | 4 | 5;
    /** Direction */
    dir?: 'ltr' | 'rtl';
    /** Element to render - defaults to View */
    Element?: React.ElementType;
    /** style */
    style?: React.ComponentProps<typeof View>['style'];
}
/**
 * Gets column style
 */
export declare const getColStyle: (props: any) => Object;
/** Column [Bootstrap Docs](https://getbootstrap.com/docs/5.0/layout/columns) */
declare const Col: (props: ColProps) => JSX.Element;
export default Col;
//# sourceMappingURL=Col.d.ts.map