/** Grid breakpoints available */
export declare type GridBreakpointType = 'xs' | 'sm' | 'md' | 'lg' | 'xl';
/** Grid configuration type */
export declare interface GRID_CONFIG_TYPE {
    breakpoints: {
        [key in GridBreakpointType]: number;
    };
    colCount: number;
    gutters: {
        [key: number]: number;
    };
    containerMaxWidths: {
        [key in GridBreakpointType]: number | string;
    };
    containerPaddingsHorizontal: {
        [key in GridBreakpointType]: number | string;
    };
}
/** Grid configuration input type for overrides */
export declare interface GRID_CONFIG_INPUT_TYPE {
    breakpoints?: {
        [key in GridBreakpointType]: number;
    };
    colCount?: number;
    gutters?: {
        [key: number]: number;
    };
    containerMaxWidths?: {
        [key in GridBreakpointType]: number | string;
    };
    containerPaddingsHorizontal?: {
        [key in GridBreakpointType]: number | string;
    };
}
/** Base spacer -- equivalent to HTML font-size and rem */
export declare const SPACER = 16;
/** Get Grid configuration */
export declare const getConfig: () => GRID_CONFIG_TYPE;
/** Set Grid configuration - extends existing configuration */
export declare const setConfig: (newConfig: GRID_CONFIG_INPUT_TYPE) => GRID_CONFIG_TYPE;
//# sourceMappingURL=grid.d.ts.map